Install on Fedora Core

From Geoqo
(Difference between revisions)
Jump to: navigation, search
(Installing from Yum)
 
(8 intermediate revisions by one user not shown)
Line 1: Line 1:
== Installing the prerequisites ==
+
== Installing from Yum ==
  
Run:
+
Fedora F7 and up now contains geoqo within the yum repositories.  Simply run (as root):
  
   '''./check-prerequisites.pl'''
+
   yum install geoqo
  
:and follow the instructionsYou will likely need to re-run it multiple times.
+
If you would rather install it yourself rather than using the package system:
 +
 
 +
== Installing by Hand ==
 +
 
 +
{{UnixInstallPrereqs}}
 +
 
 +
=== Some packages handled by yum/RPMs ===
 +
 
 +
On Fedora Core 8, there are a number of packages may be usefulTo install all of them run:
 +
 
 +
  '''sudo yum install sqlite2 perl-DBD-SQLite2 perl-XML-Simple perl-Class-DBI perl-XML-Parser \'''
 +
  '''perl-IO-String perl-Class-MethodMaker perl-Archive-Zip perl-Term-ProgressBar \'''
 +
  '''perl-Gtk2 perl-GD perl-Chart perl-HTML-Format'''
 +
 
 +
Next run:
 +
 
 +
  '''sudo perl -MCPAN -e "install QWizard"'''
 +
 
 +
<font color="red">TODO: discuss other RPMs that solve more prereqs?</font>
  
 
{{UnixInstallGeoQO}}
 
{{UnixInstallGeoQO}}

Latest revision as of 16:09, 4 February 2008

Contents

Installing from Yum

Fedora F7 and up now contains geoqo within the yum repositories. Simply run (as root):

 yum install geoqo

If you would rather install it yourself rather than using the package system:

Installing by Hand

Installing the prerequisites

Run:

 ./check-prerequisites.pl
and follow the instructions. You will likely need to re-run it multiple times.

Some packages handled by yum/RPMs

On Fedora Core 8, there are a number of packages may be useful. To install all of them run:

 sudo yum install sqlite2 perl-DBD-SQLite2 perl-XML-Simple perl-Class-DBI perl-XML-Parser \
 perl-IO-String perl-Class-MethodMaker perl-Archive-Zip perl-Term-ProgressBar \
 perl-Gtk2 perl-GD perl-Chart perl-HTML-Format

Next run:

 sudo perl -MCPAN -e "install QWizard"

TODO: discuss other RPMs that solve more prereqs?

Installing GeoQO itself

Run the following commands:

 perl Makefile.PL
 make

And as root run:

 make install
Personal tools